function fig2eps(h,w,r,FILE,H,lw,fn,fs,title_os,COLOR,Resize)
% fig2eps(h,w,r,FILE,H,lw,fn,fs,title_os,COLOR,Resize)
%
% Saves figure as eps graphic.
%
%
% Input arguments (default values in brackets)
% - h        (10)           hight in in
% - w        (13)           width in in 
% - r        (400)          resolution in dpi
% - FILE     ('figure.eps') file name (eps is added if missing)
% - H        (gcf)          figure handle
% - lw       (0.4)          line width
% - fn       ('Times')      font name of all fonts
% - fs       (9)            font size of all fonts
% - title_os (1)            is an increment of the title font size, 
%                           i.e. title font size is fs+title_os
% - COLOR    (1)            print as color postscript (Use 0 for B/W)
% - Resize   (1)            resizes the figure on screen to same size
%
if nargin<11;Resize=1;
 if nargin<10;COLOR=1;
  if nargin<9;title_os=1;
   if nargin<8;fs=10;
    if nargin<7;fn='Times';
     if nargin<6;lw=.4;
      if nargin<5;H=gcf;
       if nargin<4;FILE='figure.eps';fprintf('Figure will be saved as figure.eps');
        if nargin<3;r=400;
         if nargin<2;w=13;
          if nargin<1;h=10;
           if nargin<1;h=10;
end;end;end;end;end;end;end;end;end;end;end;end


if (FILE(length(FILE)-3)~='.')
FILE=[FILE '.eps'];
elseif (FILE(length(FILE-2):length(FILE))~='eps')
    fprintf('Incorrect filename extension. File will be saved with the extension eps')
    FILE(length(FILE-2):length(FILE))='eps';
end

R=sprintf('-r%d',r);




A=findobj(gcf,'type','axes');
set(findobj('type','line'),'linewidth',lw)
set(A,'fontsize',fs)
set(A,'fontname',fn)
for i=1:length(A)
    set(get(A(i),'XLabel'),'fontsize',fs)
    set(get(A(i),'XLabel'),'fontname',fn)
    set(get(A(i),'YLabel'),'fontsize',fs)
    set(get(A(i),'YLabel'),'fontname',fn)
    set(get(A(i),'ZLabel'),'fontsize',fs)
    set(get(A(i),'ZLabel'),'fontname',fn)
    set(get(A(i),'Title'),'fontsize',fs+title_os)
    set(get(A(i),'Title'),'fontname',fn)
end
set (H,'DefaultTextFontSize',fs);
set (H,'DefaultTextFontName',fn);
set (H,'DefaultAxesFontSize',fs);
set (H,'DefaultAxesFontName',fn);
set (H,'DefaultAxesLineWidth',lw);
set (H,'DefaultLineLineWidth',lw);
set (H,'DefaultLineMarkerSize',4);
set (H,'PaperPositionMode', 'manual')
set (H,'PaperUnits', 'inches')
set (H, 'PaperPosition',[0 0 w h])
set (H, 'PaperSize', [w h])

if (Resize)
    Units=get(gcf,'Units');
    set(gcf,'Units','inches');
    Position=get(gcf,'position');
    Position(3)=w;
    Position(4)=h;
    set(gcf,'position',Position)
    set(gcf,'Units',Units);
end

FILE
if(COLOR)
print ('-depsc', R, FILE)
else
print ('-deps', R, FILE) 
end
